Update Revenue Booking
curl --request POST \
--url https://app.usequanta.com/api/revenue-booking/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "InvoiceItem",
"line_item_qid": "<string>",
"booking_item": {
"gl_account_qid": "<string>",
"product_qid": "<string>",
"recognition": {
"service_period": {
"service_start_date": "2023-12-25",
"end_date_inclusive": "2023-12-25"
},
"apply_catch_up_revenue": false
}
},
"reason": "<string>"
}
'import requests
url = "https://app.usequanta.com/api/revenue-booking/update"
payload = {
"type": "InvoiceItem",
"line_item_qid": "<string>",
"booking_item": {
"gl_account_qid": "<string>",
"product_qid": "<string>",
"recognition": {
"service_period": {
"service_start_date": "2023-12-25",
"end_date_inclusive": "2023-12-25"
},
"apply_catch_up_revenue": False
}
},
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'InvoiceItem',
line_item_qid: '<string>',
booking_item: {
gl_account_qid: '<string>',
product_qid: '<string>',
recognition: {
service_period: {service_start_date: '2023-12-25', end_date_inclusive: '2023-12-25'},
apply_catch_up_revenue: false
}
},
reason: '<string>'
})
};
fetch('https://app.usequanta.com/api/revenue-booking/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.usequanta.com/api/revenue-booking/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'InvoiceItem',
'line_item_qid' => '<string>',
'booking_item' => [
'gl_account_qid' => '<string>',
'product_qid' => '<string>',
'recognition' => [
'service_period' => [
'service_start_date' => '2023-12-25',
'end_date_inclusive' => '2023-12-25'
],
'apply_catch_up_revenue' => false
]
],
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.usequanta.com/api/revenue-booking/update"
payload := strings.NewReader("{\n \"type\": \"InvoiceItem\",\n \"line_item_qid\": \"<string>\",\n \"booking_item\": {\n \"gl_account_qid\": \"<string>\",\n \"product_qid\": \"<string>\",\n \"recognition\": {\n \"service_period\": {\n \"service_start_date\": \"2023-12-25\",\n \"end_date_inclusive\": \"2023-12-25\"\n },\n \"apply_catch_up_revenue\": false\n }\n },\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.usequanta.com/api/revenue-booking/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"InvoiceItem\",\n \"line_item_qid\": \"<string>\",\n \"booking_item\": {\n \"gl_account_qid\": \"<string>\",\n \"product_qid\": \"<string>\",\n \"recognition\": {\n \"service_period\": {\n \"service_start_date\": \"2023-12-25\",\n \"end_date_inclusive\": \"2023-12-25\"\n },\n \"apply_catch_up_revenue\": false\n }\n },\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.usequanta.com/api/revenue-booking/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"InvoiceItem\",\n \"line_item_qid\": \"<string>\",\n \"booking_item\": {\n \"gl_account_qid\": \"<string>\",\n \"product_qid\": \"<string>\",\n \"recognition\": {\n \"service_period\": {\n \"service_start_date\": \"2023-12-25\",\n \"end_date_inclusive\": \"2023-12-25\"\n },\n \"apply_catch_up_revenue\": false\n }\n },\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"event_qid": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}revenue_booking
Update Revenue Booking
POST
/
api
/
revenue-booking
/
update
Update Revenue Booking
curl --request POST \
--url https://app.usequanta.com/api/revenue-booking/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "InvoiceItem",
"line_item_qid": "<string>",
"booking_item": {
"gl_account_qid": "<string>",
"product_qid": "<string>",
"recognition": {
"service_period": {
"service_start_date": "2023-12-25",
"end_date_inclusive": "2023-12-25"
},
"apply_catch_up_revenue": false
}
},
"reason": "<string>"
}
'import requests
url = "https://app.usequanta.com/api/revenue-booking/update"
payload = {
"type": "InvoiceItem",
"line_item_qid": "<string>",
"booking_item": {
"gl_account_qid": "<string>",
"product_qid": "<string>",
"recognition": {
"service_period": {
"service_start_date": "2023-12-25",
"end_date_inclusive": "2023-12-25"
},
"apply_catch_up_revenue": False
}
},
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'InvoiceItem',
line_item_qid: '<string>',
booking_item: {
gl_account_qid: '<string>',
product_qid: '<string>',
recognition: {
service_period: {service_start_date: '2023-12-25', end_date_inclusive: '2023-12-25'},
apply_catch_up_revenue: false
}
},
reason: '<string>'
})
};
fetch('https://app.usequanta.com/api/revenue-booking/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.usequanta.com/api/revenue-booking/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'InvoiceItem',
'line_item_qid' => '<string>',
'booking_item' => [
'gl_account_qid' => '<string>',
'product_qid' => '<string>',
'recognition' => [
'service_period' => [
'service_start_date' => '2023-12-25',
'end_date_inclusive' => '2023-12-25'
],
'apply_catch_up_revenue' => false
]
],
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.usequanta.com/api/revenue-booking/update"
payload := strings.NewReader("{\n \"type\": \"InvoiceItem\",\n \"line_item_qid\": \"<string>\",\n \"booking_item\": {\n \"gl_account_qid\": \"<string>\",\n \"product_qid\": \"<string>\",\n \"recognition\": {\n \"service_period\": {\n \"service_start_date\": \"2023-12-25\",\n \"end_date_inclusive\": \"2023-12-25\"\n },\n \"apply_catch_up_revenue\": false\n }\n },\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.usequanta.com/api/revenue-booking/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"InvoiceItem\",\n \"line_item_qid\": \"<string>\",\n \"booking_item\": {\n \"gl_account_qid\": \"<string>\",\n \"product_qid\": \"<string>\",\n \"recognition\": {\n \"service_period\": {\n \"service_start_date\": \"2023-12-25\",\n \"end_date_inclusive\": \"2023-12-25\"\n },\n \"apply_catch_up_revenue\": false\n }\n },\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.usequanta.com/api/revenue-booking/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"InvoiceItem\",\n \"line_item_qid\": \"<string>\",\n \"booking_item\": {\n \"gl_account_qid\": \"<string>\",\n \"product_qid\": \"<string>\",\n \"recognition\": {\n \"service_period\": {\n \"service_start_date\": \"2023-12-25\",\n \"end_date_inclusive\": \"2023-12-25\"\n },\n \"apply_catch_up_revenue\": false\n }\n },\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"event_qid": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Quanta Services API scoped bearer token. Supported only on Services API routes.
Body
application/json
Response
Successful Response